org.apache.lucene.search

## Enum BooleanClause.Occur

- java.lang.Object
- - java.lang.Enum<BooleanClause.Occur>
  - - org.apache.lucene.search.BooleanClause.Occur

All Implemented Interfaces:
  Serializable, Comparable<BooleanClause.Occur>

Enclosing class:
  BooleanClause

    public static enum BooleanClause.Occur
    extends Enum<BooleanClause.Occur>

Specifies how clauses are to occur in matching documents.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FILTER` Like `MUST` except that these clauses do not participate in scoring.
`MUST` Use this operator for clauses that must appear in the matching documents.
`MUST_NOT` Use this operator for clauses that must not appear in the matching documents.
`SHOULD` Use this operator for clauses that should appear in the matching documents.

### Method Summary

All Methods Static Methods Concrete Methods
`static BooleanClause.Occur` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BooleanClause.Occur[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MUST

    public static final BooleanClause.Occur MUST

Use this operator for clauses that must appear in the matching documents.

#### FILTER

    public static final BooleanClause.Occur FILTER

Like `MUST` except that these clauses do not participate in scoring.

#### SHOULD

    public static final BooleanClause.Occur SHOULD

Use this operator for clauses that should appear in the matching documents. For a BooleanQuery with no `MUST` clauses one or more `SHOULD` clauses must match a document for the BooleanQuery to match.

See Also:
  `BooleanQuery.Builder.setMinimumNumberShouldMatch(int)`

#### MUST_NOT

    public static final BooleanClause.Occur MUST_NOT

Use this operator for clauses that must not appear in the matching documents. Note that it is not possible to search for queries that only consist of a `MUST_NOT` clause. These clauses do not contribute to the score of documents.

### Method Detail

#### values

    public static BooleanClause.Occur[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BooleanClause.Occur c : BooleanClause.Occur.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BooleanClause.Occur valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null